This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 50675 - Internet-druid and neat only allow ttySx and ttylx device settings for modems
Internet-druid and neat only allow ttySx and ttylx device settings for modems
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-01 19:27 EDT by Panic
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-01 19:27:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Panic 2001-08-01 19:27:00 EDT
Description of Problem:

internet-druid and neat both only have a very short selection of devices
for modems:

/dev/ttyS0
/dev/ttyS1
/dev/ttyS2
/dev/ttyS3

/dev/ttyl0
/dev/ttyl1
/dev/ttyl2
/dev/ttyl3

This is completely inadequate, and the interface does not allow you to
enter your own devices (a la rp3-config).  USB?  People who actually use
their serial ports and have their modem at /dev/ttyS4 or S5 to avoid
conflicts?  How about a /dev/modem setting?

How Reproducible:

Always

Steps to Reproduce:
1. Attempt to configure a modem through neat or internet-druid that resides
on anything besides the above listed serial devices.
2. 
3. 

Actual Results:

inability to configure a modem that is not on the default ports.

Expected Results:

ability to at least enter the device I'm using in case it is not at one of
the default ports.

Additional Information:
Comment 1 Trond Eivind Glomsrxd 2001-08-01 19:29:58 EDT
The interface in CVS lets you edit the device names.

Note You need to log in before you can comment on or make changes to this bug.